Skip to navigation

GetSipWhiteList

View as Markdown

Gets the SIP white list.

Allowed roles: Owner, Admin, Developer.

Example request: Get two networks, but skip the first one.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

sip_whitelist_idintegerOptional
The SIP white list item ID to filter
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objectsOptional
total_countintegerOptional
The total found networks count
countintegerOptional
The returned networks count